From 9df6c0585f9183b56e58db1065a46247f0fe82b8 Mon Sep 17 00:00:00 2001
From: Gleb Sectoid Golubitsky <rush.william@gmail.com>
Date: Sat, 11 Jul 2009 03:16:35 +0300
Subject: [PATCH 2/4] Initial import of cl-regex package from main Gentoo portage tree

---
 dev-lisp/cl-regex/ChangeLog                      |   42 ++++++++++++++++++++++
 dev-lisp/cl-regex/Manifest                       |    6 +++
 dev-lisp/cl-regex/cl-regex-1-r2.ebuild           |   32 ++++++++++++++++
 dev-lisp/cl-regex/files/1-macs.lisp-gentoo.patch |   23 ++++++++++++
 dev-lisp/cl-regex/files/defconstant-gentoo.patch |   12 ++++++
 dev-lisp/cl-regex/files/regex.asd                |   20 ++++++++++
 6 files changed, 135 insertions(+), 0 deletions(-)
 create mode 100644 dev-lisp/cl-regex/ChangeLog
 create mode 100644 dev-lisp/cl-regex/Manifest
 create mode 100644 dev-lisp/cl-regex/cl-regex-1-r2.ebuild
 create mode 100644 dev-lisp/cl-regex/files/1-macs.lisp-gentoo.patch
 create mode 100644 dev-lisp/cl-regex/files/defconstant-gentoo.patch
 create mode 100644 dev-lisp/cl-regex/files/regex.asd

diff --git a/dev-lisp/cl-regex/ChangeLog b/dev-lisp/cl-regex/ChangeLog
new file mode 100644
index 0000000..7c61b82
--- /dev/null
+++ b/dev-lisp/cl-regex/ChangeLog
@@ -0,0 +1,42 @@
+# ChangeLog for dev-lisp/cl-regex
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/cl-regex/ChangeLog,v 1.10 2008/03/27 16:19:21 armin76 Exp $
+
+  27 Mar 2008; Raúl Porcel <armin76@gentoo.org> cl-regex-1-r1.ebuild,
+  cl-regex-1-r2.ebuild:
+  Fix debian HOMEPAGE
+
+  03 Feb 2007; Diego Pettenò <flameeyes@gentoo.org> cl-regex-1-r1.ebuild,
+  cl-regex-1-r2.ebuild:
+  Use mirror://debian/ where applicable, or use mirror://gentoo/ if the file
+  has been removed from debian's mirrors.
+
+*cl-regex-1-r2 (16 Nov 2006)
+
+  16 Nov 2006; Matthew Kennedy <mkennedy@gentoo.org>
+  +files/defconstant-gentoo.patch, files/regex.asd, +cl-regex-1-r2.ebuild:
+  Conditionally define constant regex::+special-class-names+.
+
+  24 May 2005; <mkennedy@gentoo.org> cl-regex-1-r1.ebuild:
+  Keywording ~sparc
+
+  15 Apr 2005; Matthew Kennedy <mkennedy@gentoo.org> -cl-regex-1.ebuild,
+  cl-regex-1-r1.ebuild:
+  Remove old ebuilds; Keywording ~ppc, x86
+
+  18 Mar 2005; Matthew Kennedy <mkennedy@gentoo.org> cl-regex-1-r1.ebuild:
+  Keywording for ~amd64
+
+*cl-regex-1-r1 (12 Feb 2004)
+
+  12 Feb 2004; <mkennedy@gentoo.org> cl-regex-1-r1.ebuild:
+  Cleanup for eclass changes.
+
+  15 Oct 2003; Matthew Kennedy <mkennedy@gentoo.org> cl-regex-1.ebuild,
+  metadata.xml, files/1-macs.lisp-gentoo.patch:
+  postrm, preinst, sbcl patch
+
+*cl-regex-1 (07 Jul 2003)
+
+  07 Jul 2003; Matthew Kennedy <mkennedy@gentoo.org> :
+  initial import
diff --git a/dev-lisp/cl-regex/Manifest b/dev-lisp/cl-regex/Manifest
new file mode 100644
index 0000000..88482b2
--- /dev/null
+++ b/dev-lisp/cl-regex/Manifest
@@ -0,0 +1,6 @@
+AUX 1-macs.lisp-gentoo.patch 892 RMD160 d4ffa27f5b872ef020d1ac7776921194b2216f89 SHA1 9488655aa9d08dd0f89f8ce4deb1c6889ae7fb71 SHA256 42f5b01dde14cb10efcf62520318f78cc16bf1dc9cce7876965f82707cca2733
+AUX defconstant-gentoo.patch 499 RMD160 1633e63777083c5e85b741d0ccf630569c74152b SHA1 77d3e09eac247eda519d570095afbcf3aea4fa5c SHA256 a7be2a760ce313b69d558535a5f6f0d962023dc9a448157071fff914adaf051d
+AUX regex.asd 859 RMD160 9d0d454d5d7957d7241d5fc871d2248e3414796c SHA1 23be87936b378bf7b2c865eacf6029018b4ea5d9 SHA256 7748f049b91428ebe6bbf94fa64df278850a31ddce8a449acf02451e467fa216
+DIST cl-regex_1.orig.tar.gz 33629 RMD160 904e38d0353eec9a1b1d321c6f1bc96ccc82e9fe SHA1 07e5a749d6e9e5c31c4156bfc07a218a5f47ac0f SHA256 886920a281cf981b834c4314b56c0bfeed3c9438cec3ada9a93494ab7dade4b2
+EBUILD cl-regex-1-r2.ebuild 907 RMD160 30bfaefc18b3fd7430aea981933dc2a511af383d SHA1 5789365f6dcb5dc8efbd38af1af3f623772ea20e SHA256 472e28962c3ab142e4330b0870ce51fa971538a7ee2da2a8252f61fb9c36ac94
+MISC ChangeLog 1458 RMD160 f623432ca7d2d5c3b2da3d5a97d504c9ee90dbe2 SHA1 b4ce7285af8691c3f3a9aeeb2f8ed27c2137a899 SHA256 6ad0c8a603ebb0edba61844cd1d4c18cf349ed5b69359b4671d9c29ac5e7e836
diff --git a/dev-lisp/cl-regex/cl-regex-1-r2.ebuild b/dev-lisp/cl-regex/cl-regex-1-r2.ebuild
new file mode 100644
index 0000000..8d2faf2
--- /dev/null
+++ b/dev-lisp/cl-regex/cl-regex-1-r2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lisp/cl-regex/cl-regex-1-r2.ebuild,v 1.3 2008/03/27 16:19:21 armin76 Exp $
+
+inherit common-lisp-2
+
+DESCRIPTION="Common Lisp regular expression compiler/matcher"
+HOMEPAGE="http://www.geocities.com/mparker762/clawk.html http://packages.debian.org/unstable/devel/cl-regex"
+SRC_URI="mirror://debian/pool/main/c/cl-regex/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+DEPEND="dev-lisp/cl-plus"
+
+CLPACKAGE=regex
+
+src_unpack() {
+	unpack ${A}
+	epatch ${FILESDIR}/defconstant-gentoo.patch
+}
+
+src_install() {
+	common-lisp-install closure.lisp gen.lisp macs.lisp optimize.lisp \
+		packages.lisp parser.lisp regex.lisp ${FILESDIR}/regex.asd
+	common-lisp-system-symlink
+	dodoc license.txt
+	docinto examples
+	dodoc *test*.lisp
+}
diff --git a/dev-lisp/cl-regex/files/1-macs.lisp-gentoo.patch b/dev-lisp/cl-regex/files/1-macs.lisp-gentoo.patch
new file mode 100644
index 0000000..31e8570
--- /dev/null
+++ b/dev-lisp/cl-regex/files/1-macs.lisp-gentoo.patch
@@ -0,0 +1,23 @@
+diff -u cl-regex-1.orig/macs.lisp cl-regex-1/macs.lisp
+--- cl-regex-1.orig/macs.lisp	2002-10-06 13:30:14.000000000 -0500
++++ cl-regex-1/macs.lisp	2003-10-15 13:20:18.790073928 -0500
+@@ -516,14 +516,11 @@
+   (clrhash *pattern-cache*)
+   nil)
+ 
+-
+-(defconstant +special-class-names+
+-  '((":alpha:" alpha) (":upper:" upper) (":lower:" lower) (":digit:" digit)
+-    (":alnum:" alnum) (":xdigit:" xdigit) (":odigit:" odigit) (":punct:" punct)
+-    (":space:" space) (":word:" wordchar)))
+-
+-
+-
++(eval-when (:compile-toplevel)
++  (defconstant +special-class-names+
++    '((":alpha:" alpha) (":upper:" upper) (":lower:" lower) (":digit:" digit)
++      (":alnum:" alnum) (":xdigit:" xdigit) (":odigit:" odigit) (":punct:" punct)
++      (":space:" space) (":word:" wordchar))))
+ 
+ (defun expand-char-class (chars)
+ "Expand an encoded char class into an explicit enumeration of all
diff --git a/dev-lisp/cl-regex/files/defconstant-gentoo.patch b/dev-lisp/cl-regex/files/defconstant-gentoo.patch
new file mode 100644
index 0000000..bcb5481
--- /dev/null
+++ b/dev-lisp/cl-regex/files/defconstant-gentoo.patch
@@ -0,0 +1,12 @@
+diff -ur cl-regex-1.orig/macs.lisp cl-regex-1/macs.lisp
+--- cl-regex-1.orig/macs.lisp	2002-10-06 13:30:14.000000000 -0500
++++ cl-regex-1/macs.lisp	2006-11-15 23:02:58.000000000 -0600
+@@ -517,7 +517,7 @@
+   nil)
+ 
+ 
+-(defconstant +special-class-names+
++(cl+:defconst +special-class-names+
+   '((":alpha:" alpha) (":upper:" upper) (":lower:" lower) (":digit:" digit)
+     (":alnum:" alnum) (":xdigit:" xdigit) (":odigit:" odigit) (":punct:" punct)
+     (":space:" space) (":word:" wordchar)))
diff --git a/dev-lisp/cl-regex/files/regex.asd b/dev-lisp/cl-regex/files/regex.asd
new file mode 100644
index 0000000..8059369
--- /dev/null
+++ b/dev-lisp/cl-regex/files/regex.asd
@@ -0,0 +1,20 @@
+;;; -*- Mode: Lisp; Syntax: ANSI-Common-lisp; Package: CL-USER; Base: 10 -*-
+
+(in-package "CL-USER")
+
+
+(asdf:defsystem regex
+    :components ((:file "packages")
+                 (:file "macs" :depends-on ("packages"))
+                 (:file "parser" :depends-on ("packages" "macs"))
+                 (:file "optimize" :depends-on ("packages" "macs"))
+                 (:file "gen" :depends-on ("packages" "macs"))
+                 (:file "closure" :depends-on ("packages" "macs"))
+                 (:file "regex" :depends-on ("packages"
+                                             "macs"
+                                             "parser"
+                                             "optimize"
+                                             "gen"
+                                             "closure")))
+    :depends-on (#:cl-plus))
+
-- 
1.6.3.3

